Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util
Interface Attributes

All Known Implementing Classes:
  AttributesMap, Context, ContextHandler, HttpClient, Jetty6PluginWebAppContext, JettyFactoryBean, MovedContextHandler, Server, SetUIDServer, WebAppContext

    public interface Attributes

Attributes. Interface commonly used for storing attributes.

Author:
  gregw

Method Summary
`void` | `clearAttributes()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object attribute)`

Method Detail

### removeAttribute

    void removeAttribute(java.lang.String name)

### setAttribute

    void setAttribute(java.lang.String name,
                      java.lang.Object attribute)

### getAttribute

    java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    java.util.Enumeration getAttributeNames()

### clearAttributes

    void clearAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.